<template>
  <div class="lang">
    <span class="lang__current">
      <slot name="icon">
        <img
          :src="getAssetImage('assets/materials/languageIcon/sn.svg')"
          class="w-[20px] mx-[10px]"
        />
      </slot>
      <span
        class="lang__current-label"
        :class="{ 'sr-only invisible opacity-0 indent-[-999px]': hideLabel }"
        >{{ label }}</span
      >
      <el-icon :class="{ 'sr-only opacity-0 invisible': hideLabel }">
        <CaretRight />
      </el-icon>
    </span>
  </div>
</template>

<script setup lang="ts">
import { ElIcon } from "element-plus";
import { CaretRight } from "@element-plus/icons-vue";
import commonHelper from "@/utils/commonHelper";

const { getAssetImage } = commonHelper;
defineProps({
  label: {
    type: String,
    required: true,
  },
  hideLabel: {
    type: Boolean,
    required: false,
    default: () => false,
  },
});
</script>

<style scoped lang="scss">
.lang {
  position: relative;
  width: 100%;
  height: 40px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-shrink: 0;
  transition: background-color 0.4s, -webkit-box-shadow 0.4s;
  transition: box-shadow 0.4s, background-color 0.4s;
  transition: box-shadow 0.4s, background-color 0.4s, -webkit-box-shadow 0.4s;
  background-color: var(--button-bg);
  box-shadow: var(--box-shadow);
  border-radius: 8px;
  line-height: 1.5;
  margin-top: 12px;
  user-select: none;
}
.lang__current {
  position: relative;
  display: flex;
  align-items: center;
  font-size: 14px;
  width: 100%;
  cursor: pointer;
  color: var(--font-color-primary);
}
.lang__current-label {
  visibility: visible;
  opacity: 1;
  text-indent: 0;
  transition: 0.3s all;
  padding-left: 12px;
  text-transform: none;
}

.lang__current .el-icon {
  opacity: 1;
  visibility: visible;
  font-size: 16px;
  position: absolute;
  right: 9px;
}
</style>
